package com.ruoyi.system.domain.projectV2;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 招商引资_申报_首谈信息_主对象 zsyz_sbbzb
 * 
 * @author boman
 * @date 2023-02-23
 */
public class ZsyzSbbzb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String sbdw;

    /** 填表日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填表日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbrq;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String zszxfzr;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /** 项目线索名称 */
    @Excel(name = "项目线索名称")
    private String xmxsmc;

    /** 是否为领航信息项目 1：是，2：否 */
    @Excel(name = "是否为领航信息项目 1：是，2：否")
    private String sfwlhxxxm;

    /** 引资地区 */
    @Excel(name = "引资地区")
    private String yzdqId;

    /** 引资地区名称 */
    @Excel(name = "引资地区名称")
    private String yzdqName;

    /** 引资省市名称 */
    @Excel(name = "引资省市名称")
    private String yzssName;

    /** 拟投资额（亿元） */
    @Excel(name = "拟投资额", readConverterExp = "亿=元")
    private String ntze;

    /** 产业类型id */
    @Excel(name = "产业类型id")
    private String cylxId;

    /** 产业类型名称 */
    @Excel(name = "产业类型名称")
    private String cylxName;

    /** 项目类别（1：首位产业，2：工业项目，3：战新产业，4：现代服务业，5：三产融合，6：共引共建项目，7：其他） */
    @Excel(name = "项目类别", readConverterExp = "1=：首位产业，2：工业项目，3：战新产业，4：现代服务业，5：三产融合，6：共引共建项目，7：其他")
    private String xmlb;

    /** 投资类别 */
    @Excel(name = "投资类别")
    private String tzlb;

    /** 拟落户地 */
    @Excel(name = "拟落户地")
    private String nlhd;

    /** 承载平台 */
    @Excel(name = "承载平台")
    private String czpt;

    /** 投资主体 */
    @Excel(name = "投资主体")
    private String tzzt;

    /** 项目进度 */
    @Excel(name = "项目进度")
    private String xmjz;

    /** 个体投资人身份证号码 */
    @Excel(name = "个体投资人身份证号码")
    private String gtzzrsfzhm;

    /** 企业投资人信用证代码 */
    @Excel(name = "企业投资人信用证代码")
    private String qytzrxyzdm;

    /** 企业背景（1：500强企业，2：上市公司，3：行业100强，4：头部企业，5：外资企业，6：民营企业，7：高新技术企业，8：其他） */
    @Excel(name = "企业背景", readConverterExp = "1=：500强企业，2：上市公司，3：行业100强，4：头部企业，5：外资企业，6：民营企业，7：高新技术企业，8：其他")
    private String qybj;

    /** 投资方简介 */
    @Excel(name = "投资方简介")
    private String tzfjj;

    /** 上年度销售额(万元) */
    @Excel(name = "上年度销售额(万元)")
    private String sndxse;

    /** 上年度纳税额(万元) */
    @Excel(name = "上年度纳税额(万元)")
    private String sndnse;

    /** 投资人姓名 */
    @Excel(name = "投资人姓名")
    private String tzrxm;

    /** 投资人职务 */
    @Excel(name = "投资人职务")
    private String tzrzw;

    /** 投资人电话 */
    @Excel(name = "投资人电话")
    private String tzrdh;

    /** 项目简介 */
    @Excel(name = "项目简介")
    private String xmjj;

    /** 首谈人 */
    @Excel(name = "首谈人")
    private String name;

    /** 首谈日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "首谈日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date strq;

    /** 首谈人手机号 */
    @Excel(name = "首谈人手机号")
    private String phone;

    /** 首谈人职务 */
    @Excel(name = "首谈人职务")
    private String zw;

    /** 申请人用户ID */
    @Excel(name = "申请人用户ID")
    private Long userId;

    /** 申报状态 1:正常 2:暂缓 */
    @Excel(name = "申报状态 1:正常 2:暂缓")
    private String type;

    /** 项目进度 1:项目首谈待审核 2:项目首谈已审核 3:线索分发要素部门 4:线索已指派 5:线索已承接 6:签约待审核 7:签约已审核 8:开工待审核 9:开工已审核 10:投产待审核 11:投产已审核 12:项目已入归 */
    @Excel(name = "项目进度 1:项目首谈待审核 2:项目首谈已审核 3:线索分发要素部门 4:线索已指派 5:线索已承接 6:签约待审核 7:签约已审核 8:开工待审核 9:开工已审核 10:投产待审核 11:投产已审核 12:项目已入归")
    private String progress;

    /** 申请人部门ID */
    @Excel(name = "申请人部门ID")
    private Long deptId;

    /** 是否删除 N:否 Y:是 */
    @Excel(name = "是否删除 N:否 Y:是")
    private String isDel;

    /** 承接地id */
    @Excel(name = "承接地id")
    private Long cjdId;

    /** 承接地部门名称 */
    @Excel(name = "承接地部门名称")
    private String cjdName;

    /** 是否需要会议支持 N:否 Y:是 */
    @Excel(name = "是否需要会议支持 N:否 Y:是")
    private String isMeet;

    /** 会议申请备注 */
    @Excel(name = "会议申请备注")
    private String meetRemark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSbdw(String sbdw) 
    {
        this.sbdw = sbdw;
    }

    public String getSbdw() 
    {
        return sbdw;
    }
    public void setTbrq(Date tbrq) 
    {
        this.tbrq = tbrq;
    }

    public Date getTbrq() 
    {
        return tbrq;
    }
    public void setZszxfzr(String zszxfzr) 
    {
        this.zszxfzr = zszxfzr;
    }

    public String getZszxfzr() 
    {
        return zszxfzr;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmxsmc(String xmxsmc) 
    {
        this.xmxsmc = xmxsmc;
    }

    public String getXmxsmc() 
    {
        return xmxsmc;
    }
    public void setSfwlhxxxm(String sfwlhxxxm) 
    {
        this.sfwlhxxxm = sfwlhxxxm;
    }

    public String getSfwlhxxxm() 
    {
        return sfwlhxxxm;
    }
    public void setYzdqId(String yzdqId) 
    {
        this.yzdqId = yzdqId;
    }

    public String getYzdqId() 
    {
        return yzdqId;
    }
    public void setYzdqName(String yzdqName) 
    {
        this.yzdqName = yzdqName;
    }

    public String getYzdqName() 
    {
        return yzdqName;
    }
    public void setYzssName(String yzssName) 
    {
        this.yzssName = yzssName;
    }

    public String getYzssName() 
    {
        return yzssName;
    }
    public void setNtze(String ntze) 
    {
        this.ntze = ntze;
    }

    public String getNtze() 
    {
        return ntze;
    }
    public void setCylxId(String cylxId) 
    {
        this.cylxId = cylxId;
    }

    public String getCylxId() 
    {
        return cylxId;
    }
    public void setCylxName(String cylxName) 
    {
        this.cylxName = cylxName;
    }

    public String getCylxName() 
    {
        return cylxName;
    }
    public void setXmlb(String xmlb) 
    {
        this.xmlb = xmlb;
    }

    public String getXmlb() 
    {
        return xmlb;
    }
    public void setTzlb(String tzlb) 
    {
        this.tzlb = tzlb;
    }

    public String getTzlb() 
    {
        return tzlb;
    }
    public void setNlhd(String nlhd) 
    {
        this.nlhd = nlhd;
    }

    public String getNlhd() 
    {
        return nlhd;
    }
    public void setCzpt(String czpt) 
    {
        this.czpt = czpt;
    }

    public String getCzpt() 
    {
        return czpt;
    }
    public void setTzzt(String tzzt) 
    {
        this.tzzt = tzzt;
    }

    public String getTzzt() 
    {
        return tzzt;
    }
    public void setXmjz(String xmjz) 
    {
        this.xmjz = xmjz;
    }

    public String getXmjz() 
    {
        return xmjz;
    }
    public void setGtzzrsfzhm(String gtzzrsfzhm) 
    {
        this.gtzzrsfzhm = gtzzrsfzhm;
    }

    public String getGtzzrsfzhm() 
    {
        return gtzzrsfzhm;
    }
    public void setQytzrxyzdm(String qytzrxyzdm) 
    {
        this.qytzrxyzdm = qytzrxyzdm;
    }

    public String getQytzrxyzdm() 
    {
        return qytzrxyzdm;
    }
    public void setQybj(String qybj) 
    {
        this.qybj = qybj;
    }

    public String getQybj() 
    {
        return qybj;
    }
    public void setTzfjj(String tzfjj) 
    {
        this.tzfjj = tzfjj;
    }

    public String getTzfjj() 
    {
        return tzfjj;
    }
    public void setSndxse(String sndxse) 
    {
        this.sndxse = sndxse;
    }

    public String getSndxse() 
    {
        return sndxse;
    }
    public void setSndnse(String sndnse) 
    {
        this.sndnse = sndnse;
    }

    public String getSndnse() 
    {
        return sndnse;
    }
    public void setTzrxm(String tzrxm) 
    {
        this.tzrxm = tzrxm;
    }

    public String getTzrxm() 
    {
        return tzrxm;
    }
    public void setTzrzw(String tzrzw) 
    {
        this.tzrzw = tzrzw;
    }

    public String getTzrzw() 
    {
        return tzrzw;
    }
    public void setTzrdh(String tzrdh) 
    {
        this.tzrdh = tzrdh;
    }

    public String getTzrdh() 
    {
        return tzrdh;
    }
    public void setXmjj(String xmjj) 
    {
        this.xmjj = xmjj;
    }

    public String getXmjj() 
    {
        return xmjj;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setStrq(Date strq) 
    {
        this.strq = strq;
    }

    public Date getStrq() 
    {
        return strq;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setZw(String zw) 
    {
        this.zw = zw;
    }

    public String getZw() 
    {
        return zw;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setProgress(String progress) 
    {
        this.progress = progress;
    }

    public String getProgress() 
    {
        return progress;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setCjdId(Long cjdId) 
    {
        this.cjdId = cjdId;
    }

    public Long getCjdId() 
    {
        return cjdId;
    }
    public void setCjdName(String cjdName) 
    {
        this.cjdName = cjdName;
    }

    public String getCjdName() 
    {
        return cjdName;
    }
    public void setIsMeet(String isMeet) 
    {
        this.isMeet = isMeet;
    }

    public String getIsMeet() 
    {
        return isMeet;
    }
    public void setMeetRemark(String meetRemark) 
    {
        this.meetRemark = meetRemark;
    }

    public String getMeetRemark() 
    {
        return meetRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sbdw", getSbdw())
            .append("tbrq", getTbrq())
            .append("zszxfzr", getZszxfzr())
            .append("xmbh", getXmbh())
            .append("xmxsmc", getXmxsmc())
            .append("sfwlhxxxm", getSfwlhxxxm())
            .append("yzdqId", getYzdqId())
            .append("yzdqName", getYzdqName())
            .append("yzssName", getYzssName())
            .append("ntze", getNtze())
            .append("cylxId", getCylxId())
            .append("cylxName", getCylxName())
            .append("xmlb", getXmlb())
            .append("tzlb", getTzlb())
            .append("nlhd", getNlhd())
            .append("czpt", getCzpt())
            .append("tzzt", getTzzt())
            .append("xmjz", getXmjz())
            .append("gtzzrsfzhm", getGtzzrsfzhm())
            .append("qytzrxyzdm", getQytzrxyzdm())
            .append("qybj", getQybj())
            .append("tzfjj", getTzfjj())
            .append("sndxse", getSndxse())
            .append("sndnse", getSndnse())
            .append("tzrxm", getTzrxm())
            .append("tzrzw", getTzrzw())
            .append("tzrdh", getTzrdh())
            .append("xmjj", getXmjj())
            .append("name", getName())
            .append("strq", getStrq())
            .append("phone", getPhone())
            .append("zw", getZw())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("type", getType())
            .append("progress", getProgress())
            .append("deptId", getDeptId())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("isDel", getIsDel())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("cjdId", getCjdId())
            .append("cjdName", getCjdName())
            .append("isMeet", getIsMeet())
            .append("meetRemark", getMeetRemark())
            .toString();
    }
}
